@use "mixins" as mx;
@use 'sass:color';
@use 'sass:math';
@use "functions" as fn;

$font-stack: Helvetica, sans-serif;
$primary-color: green;


:root {
  --secondary-color: blue;
}


body {
  @include mx.theme-background(white);
  font-size: 4rem;
  font-family: $font-stack;
  color: $primary-color;
  background-color: var(--secondary-color);
}


p {
  //@include mx.theme-background(#f8ff26, "dark");
  background: green;
  color: color.adjust(green, $lightness: -10%);
  margin-left: fn.fibonacci(8) * 1px;

  width: 980px * 0.5
}